Depend on python-sip-dev and use dh_sip
authorJoachim Breitner <mail@joachim-breitner.de>
Sun, 7 Feb 2010 21:40:41 +0000 (22:40 +0100)
committerJoachim Breitner <mail@joachim-breitner.de>
Sun, 7 Feb 2010 22:07:04 +0000 (23:07 +0100)
debian/changelog
debian/control
debian/rules

index bf5dc01..bc45a90 100644 (file)
@@ -1,3 +1,9 @@
+serna-free (0.svn270-2) UNRELEASED; urgency=low
+
+  * Depend on python-sip-dev and use dh_sip 
+
+ -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Feb 2010 22:37:20 +0100
+
 serna-free (0.svn270-1) unstable; urgency=low
 
   * New upstream release. 22 patches applied upstream!
index 0a8e193..866e4cd 100644 (file)
@@ -12,7 +12,7 @@ Build-Depends:
  pkg-config,
  qt4-qmake,
  qt4-dev-tools,
sip4,
python-sip-dev,
  libqt4-assistant,
  libx11-dev,
  x11proto-core-dev,
@@ -27,7 +27,6 @@ Build-Depends:
  python-qt4-dev,
  pyqt4-dev-tools,
  libaspell-dev,
- python-sip4,
  docbook-xsl,
 Standards-Version: 3.8.4
 Homepage: http://www.syntext.com/products/serna-free/
@@ -44,8 +43,7 @@ Depends:
  xsltproc,
  docbook-xsl,
  python-qt4,
- python-sip4 (>= 4.9-1),
- python-sip4 (<< 4.9+),
+ ${sip:Depends},
 Recommends:
  fop,
 Description: Graphical XML editor
index 6677323..d5d70c3 100755 (executable)
@@ -97,6 +97,8 @@ override_dh_clean:
 
 override_dh_makeshlibs:
        # We do not have any public shared libraries
+       # But run dh_sip around here
+       dh_sip
 
 override_dh_compress:
        dh_compress -Xserna.qch -Xserna.qhc -Xserna.adp -X.xml